/* DO NOT LOOK */
/* I'M BAD AT CSS */
/* DRY CODING DOESN'T EXIST HERE */

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  text-decoration: none;
}

body {
  font-family: 'Inter', sans-serif;
  background-color: #ffffff;
}

header {
  background-color: #fff;
  width: 100%;
  height: 100px;
  font-family: 'Inter', sans-serif;
}

.btn {
  display: inline;
  font-size: 0.8rem;
  font-family: inherit;
  font-weight: 500;
  border: none;
  padding: 1rem 1rem;
  border-radius: 10rem;
  cursor: pointer;
  transition: all 0.3s;
}

/* NAVIGATION BAR */
.nav__logo {
  /* font-family: Verdana, Geneva, Tahoma, sans-serif; */
  font-size: 24px;
  color: #111;
  font-weight: 900;
  text-transform: uppercase;
  display: block;
  margin: 0 auto;
  text-align: center;
  padding: 15px 0;
}

nav ul {
  display: flex;
  justify-content: space-around;
}

nav ul li {
  float: left;
  list-style: none;
  padding: 0 16px;
}

nav ul li a {
  font-size: 16px;
  color: #111;
  text-transform: uppercase;
}

.btn__main {
  display: none;
}
.btn__main2 {
  margin: 1rem 4rem 0 4rem;
  font-size: 25px;
  color: #000000;
  font-weight: 900;
  text-transform: uppercase;
  line-height: 60px;
  border: 1px solid #000000;
  display: flex;
  justify-content: space-around;
}
/* Title page */
.title__banner {
  width: 100%;
  height: calc(100vh - 100px);
  /* background-color: #ebebeb; */
  background-image: url('images/backgroundimage.jpg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  display: table;
}

.title__banner h2 {
  font-size: 60px;
  font-weight: 900;
  color: #fff;
  text-align: center;
  text-shadow: 2px 2px 8px #2e2e2e;
}

.title__container {
  display: table-cell;
  vertical-align: middle;
}
.title__banner h1 {
  font-family: 'Inter', sans-serif;
  font-size: 30px;
  font-weight: 100;
  line-height: 40px;
  color: #ffffff;
  text-align: center;
  text-shadow: 2px 2px 15px #2e2e2e;
}

section {
  border-top: 1px solid #bbbbbb;
  width: 100%;
}

/* MOBILE PROJECTS SECTION */
.projects__description {
  font-family: 'Inter', sans-serif;
  font-size: 30px;
  font-weight: 900;
  color: #ffffff;
  text-align: center;
  /* text-shadow: 1px 1px 5px #8b8b8b; */
  /* border-left: 3px solid #ffffff;
  border-right: 3px solid #fcfafa; */
}
.projects__title {
  max-width: 80rem;
  margin: 0 auto 0.5rem auto;
  background-color: #000000;
}

.projects__img {
  width: 100%;
  height: 100%;
  border: 1px solid #fff;
  border-radius: 10px;
}

.projects__header {
  font-size: 2rem;
  margin-bottom: 1rem;
  margin: auto;
  text-align: center;
}

.projects__banner h1 {
  margin: 1rem 1rem;
  border: 2px solid #000000;
  text-align: center;
  list-style: none;
  padding: 0 16px;
  line-height: 40px;
  height: 100%;
}

.projects__info p {
  margin: 0 1rem;
}

.projects__link {
  margin: 1rem 1rem;
  display: block;
  font-size: 16px;
  color: #111;
  font-weight: 900;
  text-align: center;
  text-transform: uppercase;
  line-height: 60px;
  border: 1px solid #111;
  padding: 0 30px;
}

.projects__mobile {
  display: none;
}

/* PROJECTS SECTION END */

/* MOBILE SKILLS SECTION */
.skills {
  max-width: 70%;
  margin: 5rem auto 0 auto;
  background-color: #e6e6e6;
}

.skills__btn--container {
  display: flex;
  justify-content: space-around;
}

.btn__content {
  font-weight: 600;
  width: 100%;
  display: inline-block;
  transform: translateY(-50%);
  z-index: 1;
}

.btn__content:hover {
  font-weight: 900;
}
.btn__active {
  transform: translateY(-65%);
  z-index: 1;
}

.btn__1 {
  background-color: #000000;
  color: #fff;
}
.btn__2 {
  background-color: aliceblue;
}

.skills__content {
  display: none;
  font-size: 20px;
  padding: 1rem;
}

.skills__active {
  width: 100%;
  display: grid;
}

.other__details {
  display: none;
}

.logo__border {
  border-bottom: 1px solid #000000;
  padding-bottom: 30px;
}

.skills__logo {
  margin: 10px 0;
  text-align: center;
}
.clogo {
  width: 2em;
  height: 2em;
}

/*SKILLS END */

/* MOBILE CONTACT SECTION */

.contact__section {
  width: 100%;
  height: calc(100vh - 100px);
  /* background-color: #ebebeb; */
  background-image: url('images/contactbackground.jpg');
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  display: table;
}

.contact__description {
  font-size: 50px;
  font-weight: 900;
  color: #fff;
  text-align: center;
  text-shadow: 2px 2px 8px #2e2e2e;
}

.contact__title {
  max-width: 80rem;
  margin: 0 auto 3rem auto;
  background-color: #fff;
}
.contact__description {
  font-family: 'Inter', sans-serif;
  font-size: 60px;
  font-weight: 900;
  color: #ffffff;
  text-align: center;
}

.form__container {
  display: grid;
  margin: auto;
  align-items: center;
  gap: 1rem;
  width: 100%;
}

.form__container label {
  margin-left: 5px;
  font-size: 1.2rem;
  font-weight: 900;
  vertical-align: top;
  color: #fff;
  text-shadow: 2px 2px 8px #2e2e2e;
}

.form__container input {
  padding-right: 1rem;
  width: 100%;
  font-size: 1.5rem;
  padding: 1rem 1.5rem;
  border: 1px solid #ddd;
  border-radius: 0.5rem;
}
.form__container textarea {
  font-size: 1.5rem;
  padding: 1rem 1.5rem;
  border: 1px solid #ddd;
  border-radius: 0.5rem;
}

.form__container button {
  grid-column: 1 / span 2;
  justify-self: center;
  margin-top: 1rem;
  font-weight: 600;
  color: #fff;
  background-color: rgb(0, 0, 0);
}

.wrapper {
  margin-top: 2rem;
  border-top: 1px solid #000000;
  padding-top: 1rem;
  display: flex;
  justify-content: center;
  align-items: center;
  padding-bottom: 1rem;
}
.wrapper .icon {
  margin: 0 20px;
  cursor: pointer;
}

.wrapper .icon span {
  height: 60px;
  width: 60px;
  display: block;
  text-align: center;
  background: #fff;

  border-radius: 50%;
  box-shadow: 0 10px 10px rgba(0, 0, 0, 0.5);
}

.wrapper .icon span i {
  line-height: 60px;
  font-size: 35px;
  color: #111;
}

/* CONTACT SECTION END */

/* MOBILE MODAL SECTION */
.modal__header,
.btn--close-modal {
  display: none;
}

/* MODAL END */
.hidden {
  display: none;
}

.lazy-img {
  filter: blur(20px);
}
/* DESKTOP */
@media only screen and (min-width: 1030px) {
  nav ul {
    margin: 20px 0px 0px 10px;
    width: fit-content;
  }

  nav ul li {
    float: left;
    list-style: none;
    padding: 0 16px;
  }
  html {
    scroll-padding-top: var(--scroll-padding, 90px);
  }
  .nav.sticky {
    position: fixed;
    width: 100%;
    background-color: rgba(255, 255, 255, 0.95);
    z-index: 2;
  }

  .nav__logo {
    font-size: 34px;
    margin: 31px 0;
    text-align: left;
    line-height: 30px;
    padding: 0 20px 0 40px;
    border-bottom: 3px solid #111;
    border-right: 3px solid #111;
    float: left;
  }

  nav ul {
    margin: 20px, 0px;
    float: left;
  }

  nav ul li a {
    line-height: 60px;
  }

  .btn__main {
    margin-right: 40px;
    margin-top: 19px;
    display: block;
    font-size: 16px;
    color: #111;
    font-weight: 900;
    text-transform: uppercase;
    line-height: 60px;
    border: 1px solid #111;
    float: right;
    padding: 0 20px;
  }

  .btn__main2 {
    display: none;
  }

  .btn__main:hover,
  .projects__link:hover {
    background-color: #dfdfdf;
  }

  .nav__link:hover {
    font-weight: 900;
  }

  /* Project Title */
  .section {
    padding: 3rem 3rem;
    border-top: 1px solid #bbbbbb;
    transition: transform 1s, opacity 1s;
    width: 100%;
  }

  .projects__title {
    max-width: 80rem;
    margin: 0 auto 3rem auto;
    background-color: #000000;
  }

  .projects__description {
    font-size: 60px;
  }

  /* Project Section */

  .section--hidden {
    opacity: 0;
    transform: translateY(1rem);
  }

  .projects__container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 4rem;
    margin: 0 1rem 2rem 0;
  }

  .projects__info p {
    font-size: 20px;
    margin-top: 3rem;
  }

  .projects__link {
    margin-right: 40px;
    margin-top: 3rem;
    display: block;
    float: left;
  }
  .projects__img {
    width: 100%;
  }

  .projects__desktop {
    display: none;
  }

  .projects__mobile {
    display: block;
  }

  .lazy-img {
    filter: blur(20px);
  }

  .projects__header {
    padding-right: 15px;
    float: left;
  }

  .projects__banner h1 {
    margin: auto;
    float: left;
  }
  .projects__banner {
    padding-bottom: 3rem;
  }

  /* Skills section */

  .skills__btn--container {
    justify-content: center;
  }

  .btn {
    display: inline-block;
    font-size: 1.6rem;
    font-family: inherit;
    font-weight: 500;
    border: none;
    padding: 1.25rem 4.5rem;
    border-radius: 10rem;
    cursor: pointer;
    transition: all 0.3s;
  }

  .skills__content {
    font-size: 1.7rem;
    padding: 1rem 7rem 3rem 7rem;
  }

  .skills__active {
    row-gap: 2rem;
    grid-column: 2;
    grid-template-columns: 10rem auto;
  }

  .logo__align {
    margin: auto;
  }

  /* Contact */

  .contact__section {
    width: 100%;
    height: calc(100vh - 100px);
    /* background-color: #ebebeb; */
    background-image: url('images/contactbackground.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-size: cover;
    display: table;
  }

  .contact__description {
    font-size: 60px;
    font-weight: 900;
    color: #fff;
    text-align: center;
    text-shadow: 2px 2px 8px #2e2e2e;
    padding-bottom: 3rem;
  }
  .contact {
    width: 100%;
    background-color: #000000;

    padding: 3rem 3rem 5rem 3rem;
  }

  .contact__header {
    font-family: 'Inter', sans-serif;
    font-size: 40px;
    font-weight: 900;
    color: #fff;
    text-align: center;
    padding-bottom: 5rem;
  }

  .contact__title {
    max-width: 80rem;
    margin: 0 auto 3rem auto;
    background-color: #fff;
  }
  .contact__description {
    font-family: 'Inter', sans-serif;
    font-size: 60px;
    font-weight: 900;
    color: #ffffff;
    text-align: center;
  }

  .form__container {
    display: grid;
    margin: auto;
    grid-template-columns: 1fr 2fr;
    align-items: center;
    gap: 1rem;
    max-width: 500px;
  }

  .form__container label {
    font-size: 1.7rem;
    font-weight: 900;
    vertical-align: top;

    color: #fff;
    text-shadow: 2px 2px 8px #2e2e2e;
  }

  .form__container input {
    font-size: 1.5rem;
    padding: 1rem 1.5rem;
    border: 1px solid #ddd;
    border-radius: 0.5rem;
  }
  .form__container textarea {
    font-size: 1.5rem;
    padding: 1rem 1.5rem;
    border: 1px solid #ddd;
    border-radius: 0.5rem;
  }

  .form__container button {
    grid-column: 1 / span 2;
    justify-self: center;
    margin-top: 1rem;
    font-weight: 600;
    color: #fff;
    background-color: rgb(0, 0, 0);
  }

  .modal {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: #f3f3f3;
    padding: 2rem;
    box-shadow: 0 4rem 6rem rgba(0, 0, 0, 0.3);
    z-index: 1000;
    transition: all 0.5s;
  }

  .overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(4px);
    z-index: 100;
    transition: all 0.5s;
  }

  .btn--close-modal {
    font-family: inherit;
    color: inherit;
    position: absolute;
    top: 0rem;
    right: 0.5rem;
    font-size: 2rem;
    cursor: pointer;
    border: none;
    background: none;
  }

  .modal__header,
  .btn--close-modal {
    display: block;
  }

  .lazy-img {
    filter: blur(20px);
  }
}
